"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactIntlGizmoFn = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const app_1 = require("@just-web/app");
const formatjs_1 = require("@just-web/formatjs");
const react_intl_1 = require("react-intl");
exports.reactIntlGizmoFn = (0, app_1.define)(function (options) {
    return {
        static: app_1.define.require().optional(),
        async create(ctx) {
            const formatjs = await getFormatjs(ctx, options);
            return [
                {
                    react_intl: {
                        intl: formatjs.intl
                    }
                },
                () => ctx.react.providers.register(({ children }) => ((0, jsx_runtime_1.jsx)(react_intl_1.RawIntlProvider, { value: formatjs.intl, children: children })))
            ];
        }
    };
});
async function getFormatjs(ctx, options) {
    if (ctx.formatjs)
        return ctx.formatjs;
    if (!options)
        throw new Error('options is required when there is no formatjs gizmo');
    return (await (0, app_1.incubate)().with((0, formatjs_1.formatJSGizmoFn)(options)).create()).formatjs;
}
//# sourceMappingURL=react_intl_gizmo.js.map