import { jsx as _jsx } from "react/jsx-runtime";
import { define, incubate } from '@just-web/app';
import { formatJSGizmoFn } from '@just-web/formatjs';
import { RawIntlProvider } from 'react-intl';
export const reactIntlGizmoFn = define(function (options) {
    return {
        static: define.require().optional(),
        async create(ctx) {
            const formatjs = await getFormatjs(ctx, options);
            return [
                {
                    react_intl: {
                        intl: formatjs.intl
                    }
                },
                () => ctx.react.providers.register(({ children }) => (_jsx(RawIntlProvider, { value: formatjs.intl, children: children })))
            ];
        }
    };
});
async function getFormatjs(ctx, options) {
    if (ctx.formatjs)
        return ctx.formatjs;
    if (!options)
        throw new Error('options is required when there is no formatjs gizmo');
    return (await incubate().with(formatJSGizmoFn(options)).create()).formatjs;
}
//# sourceMappingURL=react_intl_gizmo.js.map